-- CUST once script
-- Laatste voorbereidingen vóór import uit ITA

SET ECHO ON
SPOOL xInit_ITA.lst
SET DEFINE OFF;

-- Tijdelijk de toegevoegde gebouwnummers uit de gebouwcode halen, anders gaat matching bigtime fout
INSERT INTO alg_onrgoedkenmerk
  (alg_onrgoed_key,
   alg_onrgoed_niveau,
   alg_kenmerk_key,
   alg_onrgoedkenmerk_waarde)
SELECT alg_gebouw_key,
       'G',
       1040,
       alg_gebouw_code
  FROM alg_gebouw
 WHERE alg_gebouw_verwijder IS NULL
   AND alg_locatie_key = 121
   AND alg_gebouw_code LIKE '%(%';

UPDATE alg_gebouw
   SET alg_gebouw_code = SUBSTR(alg_gebouw_code, 1, INSTR(alg_gebouw_code, ' (')-1)
 WHERE alg_gebouw_verwijder IS NULL
   AND alg_locatie_key = 121
   AND alg_gebouw_code LIKE '%(%';

-- Kenmerken voor meetbereik (eenheid, min, max) van objectsoort Sensor naar discipline Fysieke objecten
-- (ruim de helft van die objectsoorten gebruikt 2 of 3 van die kenmerken) 
UPDATE ins_kenmerk
   SET ins_srtinstallatie_key = 1488,
       ins_kenmerk_niveau = 'D'
 WHERE ins_srtkenmerk_key IN (3645,3647,3646)
   AND ins_kenmerk_verwijder IS NULL;

-- Import matcht op fac_usrdata_omschr, niet op fac_usrdata_code. Tijdelijk hernoemen
UPDATE fac_usrdata
   SET fac_usrdata_omschr = fac_usrdata_code
 WHERE fac_usrdata_key IN (2476,2477,2479,2481,2484,2496,4280,4282,4283,
                           4228,4232,4238,4243,4247,4248,4258,4274,4179,4212);

COMMIT;

BEGIN adm.systrackscriptId('$Id$'); END;
/

SPOOL OFF